Subject: Re: Gitweb indentation wrong in Internet Explorer

From: Jakub Narebski <[email-masked]>
Date: Wed, 11 Oct 2006 19:47:24 +0200

Ralf Baechle wrote:

> I have a report from an MSIE suffering user:
> 
>> When I use it (and I believe I've seen this on my laptop as well as my
>> workstation) all left-hand margin whitespace is collapsed to nothingness.
>> Once can still parse the code, but it's harder with no indentations.
> 
> A screenshot from a Windows laptop to illustrate the problem is at
> http://www.linux-mips.org/~ralf/gitweb.png.  It shows the code was
> preformatted correctly which seems to be an IE bug but the following patch
> seems to work around it.

Which version of gitweb? We have removed s/ /&nbsp;/g; in esc_html
subroutine in favor of using "white-space: pre;" in CSS some time ago,
and we have added escaping FORM FEED and ESCAPE characters.

Could you send git patches, by the way? Or at least '-p' diffs?
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git